/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:31:14.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectInfo;
import cn.com.qmth.examcloud.core.print.service.bean.PrintingProjectQuery;
import org.springframework.data.domain.Page;

/**
 * 印刷项目相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public interface PrintingProjectService {

    /**
     * 查询印刷项目列表(分页)
     *
     * @param query
     * @return
     */
    Page<PrintingProjectInfo> getPrintingProjectList(PrintingProjectQuery query);

    /**
     * 获取某印刷项目的信息
     *
     * @param id
     * @return
     */
    PrintingProjectInfo getPrintingProjectById(Long id);

    /**
     * 更新印刷项目信息
     *
     * @param info
     */
    void updatePrintingProject(PrintingProjectInfo info);

    /**
     * 同步更新印刷项目信息
     * 仅同步学校、考试的基本信息
     */
    void syncPrintingProject(PrintingProjectInfo info);

    /**
     * 数据初始化
     */
    void dataInit();

}